export interface BTextComponentProps {
    content: string;
    componentData: string;
    whiteSpace: string;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    clickEvent: string;
    displayCondition: string;
    isRelation: boolean;
    display: string;
    alignItems: string;
    justifyContent: string;
    transform: string;
    isColor: boolean;
    color: string;
    colorValue: string;
    fontFamily: string;
    fontSize: string;
    fontWeight: string;
    fontStyle: string;
    textDecoration: string;
    overflow: string;
    cursor: string;
    lineHeight: string;
    letterSpacing: string;
    textIndent: string;
    opacity: string;
    width: string;
    height: string;
    widthValue: string;
    heightValue: string;
    left: string;
    top: string;
    isBackgroundColor: boolean;
    backgroundColor: string;
    backgroundColorValue: string;
    paddingTop: string;
    paddingRight: string;
    paddingBottom: string;
    paddingLeft: string;
    borderTopLeftRadius: string;
    borderTopRightRadius: string;
    borderBottomLeftRadius: string;
    borderBottomRightRadius: string;
    isBorder: boolean;
    borderStyle: string;
    borderWidth: string;
    borderColor: string;
    borderStyleValue: string;
    borderWidthValue: string;
    borderColorValue: string;
    isBoxShadow: boolean;
    boxShadow: string;
    boxShadowH: string;
    boxShadowV: string;
    boxShadowBlur: string;
    boxShadowSpread: string;
    boxShadowColor: string;
    boxShadowInset: boolean;
    isFilter: boolean;
    filter: string;
    filterValue: string;
}
export declare const bTextDefaultProps: BTextComponentProps;
export declare const bTextStylePropNames: string[];
