import type { App } from 'vue';
export { bTextDefaultProps, bTextStylePropNames } from './components/BText/prop';
export { bBasicBarChartDefaultProps, bBasicBarChartDefaultPropNames } from './components/BBasicBarChart/prop';
export { bHorizontalBarChartDefaultProps, bHorizontalBarChartDefaultPropNames } from './components/BHorizontalBarChart/prop';
export { bBasicLineChartDefaultProps, bBasicLineChartDefaultPropNames } from './components/BBasicLineChart/prop';
export { bBasicScatterChartDefaultProps, bBasicScatterChartDefaultPropNames } from './components/BBasicScatterChart/prop';
export { bBubbleScatterChartDefaultProps, bBubbleScatterChartDefaultPropNames } from './components/BBubbleScatterChart/prop';
export { bLineBarChartDefaultProps, bLineBarChartDefaultPropNames } from './components/BLineBarChart/prop';
export { bBasicPieChartDefaultProps, bBasicPieChartDefaultPropNames } from './components/BBasicPieChart/prop';
export { bRosePieChartDefaultProps, bRosePieChartDefaultPropNames } from './components/BRosePieChart/prop';
export type { BTextComponentProps } from './components/BText/prop';
export type { BBasicBarChartComponentProps } from './components/BBasicBarChart/prop';
export type { BHorizontalBarChartComponentProps } from './components/BHorizontalBarChart/prop';
export type { BBasicLineChartComponentProps } from './components/BBasicLineChart/prop';
export type { BBasicScatterChartComponentProps } from './components/BBasicScatterChart/prop';
export type { BBubbleScatterChartComponentProps } from './components/BBubbleScatterChart/prop';
export type { BLineBarChartComponentProps } from './components/BLineBarChart/prop';
export type { BBasicPieChartComponentProps } from './components/BBasicPieChart/prop';
export type { BRosePieChartComponentProps } from './components/BRosePieChart/prop';
export type { AllComponentProps } from './components/defaultProps';
import BText from './components/BText';
import BBasicBarChart from './components/BBasicBarChart';
import BHorizontalBarChart from './components/BHorizontalBarChart';
import BBasicLineChart from './components/BBasicLineChart';
import BBasicScatterChart from './components/BBasicScatterChart';
import BBubbleScatterChart from './components/BBubbleScatterChart';
import BLineBarChart from './components/BLineBarChart';
import BBasicPieChart from './components/BBasicPieChart';
import BRosePieChart from './components/BRosePieChart';
declare const install: (app: App) => void;
export { BText, BBasicBarChart, BHorizontalBarChart, BBasicLineChart, BBasicScatterChart, BBubbleScatterChart, BLineBarChart, BBasicPieChart, BRosePieChart, install };
declare const _default: {
    install: (app: App<any>) => void;
};
export default _default;
